Package skyview.process

# Class AddingMosaicker

java.lang.Object
skyview.process.Processor
skyview.process.Mosaicker
skyview.process.AddingMosaicker

All Implemented Interfaces:
  `Serializable`, `Component`

public class AddingMosaicker extends Mosaicker
A mosaicker is an object which creates a new image from a set of input images. This mosaicker takes the input images and adds all the overlaps together to create the output. It expects to be able to get an ExposureFinder object which for each input image returns the exposure for a given pixel. After the contributions from all of the constituent images have been found, the summed image is divided by the exposure per pixel. Substantially modified May 5, 2010 in response to issues brought up by G. Belanger. Rather than have special code to handle the overlap of each image with the output we use the standard ImageFinder. This works in global geometries where the prior use of clipping failed. The ImageFinder handles the edge and radius clipping functionality that we had had to duplicate here as well.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AddingMosaicker()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get a description of this component
`String`
`getName()`
Get the name of this component
`void`
`process(Image[] input, Image output, int[] osource, Sampler samp, DepthSampler dSampler)`
Populate the pixel values of the output mosaic.

### Methods inherited from class skyview.process.Mosaicker

`addPixels, ordinalSuffix, setUsedImages, updateHeader, updatesOutput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AddingMosaicker

public AddingMosaicker()

## Method Details

### getName

public String getName()
Get the name of this component

Specified by:
  `getName` in interface `Component`
Overrides:
  `getName` in class `Mosaicker`

### getDescription

public String getDescription()
Get a description of this component

Specified by:
  `getDescription` in interface `Component`
Overrides:
  `getDescription` in class `Mosaicker`

### process

public void process(Image[] input, Image output, int[] osource, Sampler samp, DepthSampler dSampler)
Populate the pixel values of the output mosaic. Note that the output image is assumed to be created prior to the mosaic call since its WCS will have been used extensively.

Overrides:
  `process` in class `Mosaicker`
Parameters:
  `input` - An array of input images.
  `output` - The image whose data is to be filled.
  `osource` - A dummy input array.
  `samp` - The sampler to be used to sample the input images.
  `dSampler` - The sampler (if any) in the energy dimension.